Issue 114163 - ODF : attribute "style:page-number=0" has a bad value (only in table)
Summary: ODF : attribute "style:page-number=0" has a bad value (only in table)
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: save-export (show other issues)
Version: OOO330m5
Hardware: PC All
: P3 Trivial with 1 vote (vote)
Target Milestone: ---
Assignee: Oliver-Rainer Wittmann
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks: 111112
  Show dependency tree
 
Reported: 2010-08-27 20:31 UTC by jbf.faure
Modified: 2017-05-20 11:42 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
not valid ODF file (298.04 KB, application/vnd.oasis.opendocument.text)
2010-08-27 20:32 UTC, jbf.faure
no flags Details
should fix it (967 bytes, patch)
2010-09-09 12:38 UTC, mst.ooo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description jbf.faure 2010-08-27 20:31:28 UTC
ODF validator says that the attached odt file is not a valid ODF file.

Kind regards. JBF
Comment 1 jbf.faure 2010-08-27 20:32:13 UTC
Created attachment 71441 [details]
not valid ODF file
Comment 2 michael.ruess 2010-09-01 15:43:00 UTC
MRU->OD: when a table has a "page break before" with "page style" (see my
shorter sample) and symbolic page number 0 it will be written as "0" instead of
"auto" into content.xml.
The same for a paragraph will be saved as value "auto" in the content.xml.
Comment 3 jensbruhn 2010-09-02 07:25:25 UTC
happens for me (german version) in a table with these settings:
-Umbruch: Seite, davor
-mit Seitenvorlage: Standard, 0

Saved document is not valid.
Comment 4 mst.ooo 2010-09-09 12:34:05 UTC
mine
Comment 5 mst.ooo 2010-09-09 12:38:02 UTC
Created attachment 71625 [details]
should fix it
Comment 6 mst.ooo 2010-09-09 16:12:54 UTC
fixed in cws sw33bf09
http://hg.services.openoffice.org/hg/cws/sw33bf09/rev/dcf014a5f05e
Comment 7 mst.ooo 2010-09-13 11:48:44 UTC
please verify
Comment 8 Oliver-Rainer Wittmann 2010-09-13 13:32:19 UTC
taking over for verification
Comment 9 Oliver-Rainer Wittmann 2010-09-13 14:22:46 UTC
verified in internal installation set of cws sw33bf09.

- Open the document is fixed version
- Save As the document
--> new created document now stores valid style:page-number values